<%-- 
    Document   : exportarHorario
    Created on : 12/12/2014, 03:51:11 PM
    Author     : sistem16user
--%>

<%@page import="java.util.Calendar"%>
<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="pe.siso.horario.Beans.Curso"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="pe.siso.horario.Beans.Horario"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page import="pe.siso.horario.Services.CursoServices"%>
<%@page import="pe.siso.horario.Beans.Bloque"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="pe.siso.horario.Services.BloqueServices"%>
<%@page import="pe.siso.horario.Services.AulaServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
        String codalua = request.getParameter("codAula");
        String nom = request.getParameter("nom");
       
        BloqueServices servicio = new BloqueServices();
        HorarioServices servicios1 = new HorarioServices();
        Bloque bloque = new Bloque();
        CursoServices servicios2 = new CursoServices();
        DocenteServices servicioDoc = new DocenteServices();
        ArrayList<Bloque> lista = null;
        bloque = servicios1.consultarCodigoGrupoTurno(codalua);
        String codGruBlo = bloque.getCod_gru();
        String turno = request.getParameter("turno");
        lista = servicio.consultarDetalleBloque(codGruBlo);
        int cont=1;
        int blo=1;
        
%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>VER HORARIOS </title>
    </head>
    <body>
     <%
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=UsuarioDocente.xls"); 
        
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "style='background-color:#B5E0F5; border:solid 0.5pt;'";
            
     if(!codGruBlo.equals("")){
     String nombreTurno="";
     
        if(turno.equals("1")){
            nombreTurno="MAÑANA";      
        }else if(turno.equals("2")){ 
            nombreTurno="TARDE";
        }else{
          nombreTurno="NOCHE";  
        }
        
        Calendar cal1 = Calendar.getInstance();
           
        int diaA = cal1.get(Calendar.DATE);
        int mes = cal1.get(Calendar.MONTH);
        int hora = cal1.get(Calendar.HOUR);
        int minuto = cal1.get(Calendar.MINUTE);
        int segundo = cal1.get(Calendar.SECOND);
        String diaAc = "";
        String mesAc = "";
        String hrAc = "";
        String minAc = "";
        String secAc = "";

        if(diaA<10){ diaAc = "0"+diaA; }else{ diaAc = ""+diaA;}

        if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

        if(hora<10){  if(hora==0){ hrAc = "12"; }else{ hrAc = "0"+hora;  } }else{  hrAc = ""+hora; }

        if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

        if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }
        
        
        
    %>
   
    
    <table align='center' border='0' cellpadding= '0' cellspacing= '0'>
        <tr>
            <td  align='center' colspan='7' ><h3>HORARIO DEL AULA</h3></td>
        </tr>
        <tr>
            <td colspan="3"></td>
            <td colspan="4" align="right">SACO OLIVEROS - SISTEMAS</td>
        </tr>
        <tr>
            <td colspan="3">FUENTE: SISTEMA DE HORARIOS</td>
            <td colspan="4" align="right">RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
        </tr>
        <tr>
            <td colspan="3">REGISTROS: <%=lista.size()%></td>
            <td colspan="4" align="right">ACTUALIZACIÓN: <%=diaAc+"-"+mesAc+"-"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc%></td>
        </tr>
        <tr>
            <td height='20' colspan='7' align='center'><H3><font color='#006090'><b>AULA:</b> <%=nom%> <%=nombreTurno%> </font> </H3></td>
        </tr>
        <tr>
            <td height='15'></td>
        </tr>
        <tr > 
            <td width='130' <%=borderColorTitulo%> align='center'>HORARIO</td>
            <td width='130' <%=borderColorTitulo%> align='center'>LUNES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>MARTES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>MIÉRCOLES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>JUEVES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>VIERNES</td>
            <td width='130' <%=borderColorTitulo%> align='center'>SÁBADO</td>
        </tr>  
        <%
            for(int i=0;i<lista.size(); i++){
                 String ini = lista.get(i).getHor_ini();
                 String fin = lista.get(i).getHor_fin();
            if(cont%2==0){
        %>
                    <tr>
                        <td <%=estilo%> align='center'><%=ini%> a <%=fin%></td>
                        <td <%=estilo%> height='20' colspan='6' align='center' >R E C E S O</td>
                    </tr>
                    
        <% 
            }else{
        %>    
                    <tr>
                    <td <%=border%> height='40' align='center'><%=lista.get(i).getHor_ini()%> a <%=lista.get(i).getHor_fin()%></td>
                     
                        
                     
                    
        <%   
            for(int dia=1;dia<=6;dia++){
                        String diaAct = ""+dia;
                        String bloAct = ""+blo;
                        int cant = servicios1.cantidadAsignado(codalua, diaAct, bloAct);
            if(cant>0){
                            //pw.println("    <td align='center' ><a href=\"javascript:verDetalleHorario('"+codalua+"','"+blo+"','"+dia+"','"+ini+"','"+fin+"');\" class='regular' ><img src='imagenes/icons/calendar-task.png'/></a></td>");
                            Horario horario = new Horario();
                            horario = servicios1.consultarDatosAsignados(codalua, diaAct, bloAct);
                            String codCur = horario.getCodidoCurso_HorarioCursoDoc();
                            String codDoc = horario.getCodigoDocente_HorarioCursoDoc();
                            Docente docente = new Docente();
                            docente = servicioDoc.NombreDocente(codDoc);
                            String NombreCompleto = docente.getApe_pro()+", "+docente.getNom_pro();
                            Curso curso = new Curso();
          
                            curso = servicios2.NombreCurso(codCur);
                            String NombreCurso = curso.getNom_cur();
                            String NombrePlana = curso.getNom_pla();
                            String NombreArea = curso.getNom_are();
                            String color = curso.getColor_plana();
          %>
          <td <%=border%> align='center' ><%=curso.getNom_cur()%> </td> 
                          
        <%    
            }else{
        %>
        <td <%=border%> align='center'> <font color='red'> Sin curso </font>
        </td> 
        
         <%   
            }
            
            }
        %>
        </tr>
       
       
        <%
   
        blo++;
        
        }
        cont++;
        
        %>
        
        
        
    
     
     <%
      }
     }       
     %>   
    </table> 
    </body>
</html>
